
From: Arjan van de Ven <arjanv@redhat.com>

The patch below marks filemap_fdatawrite_range static, it's not used
outside mm/filemap.c.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/filemap.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN mm/filemap.c~make-filemap_fdatawrite_range-static mm/filemap.c
--- 25/mm/filemap.c~make-filemap_fdatawrite_range-static	2004-10-24 02:07:04.224995136 -0700
+++ 25-akpm/mm/filemap.c	2004-10-24 02:07:04.238993008 -0700
@@ -193,12 +193,11 @@ int filemap_fdatawrite(struct address_sp
 }
 EXPORT_SYMBOL(filemap_fdatawrite);
 
-int filemap_fdatawrite_range(struct address_space *mapping,
+static int filemap_fdatawrite_range(struct address_space *mapping,
 	loff_t start, loff_t end)
 {
 	return __filemap_fdatawrite_range(mapping, start, end, WB_SYNC_ALL);
 }
-EXPORT_SYMBOL(filemap_fdatawrite_range);
 
 /*
  * This is a mostly non-blocking flush.  Not suitable for data-integrity
_
